<?php
require( "../site.inc" );

/* includes */
require($_SITE["mirrordir"] . "view.inc");
require($_SITE["mirrordir"] . "web_util.inc" );
require($_SITE["mirrordir"] . "web_format.inc" );

/* verify our inputs */
if (!isset($topic) || $topic == "")   
{
	include($_SITE["portaldir"] . "StaticHeader.ihtml");
	print( "Which topic did you want to edit?<BR>" );
	include($_SITE["portaldir"] . "StaticFooter.ihtml");
	include($_SITE["portaldir"] . "CommonFooter.ihtml");
	exit;	  
}

if(!isset($web) || $web == "")
{
        /* verify that we have a page to view, or set it to the default. */
        $web = verifyTopicWeb( $topic );
}

/* assume, for now, that the user has privileges */

/* headers */
require($_SITE["portaldir"] . "CommonHeader.ihtml");

/* body */ 	

/* EditBody.ihtml defines $save, $preview, and $body_text
   in its forms, which have this script as their actions. */
if (isset($save)) {
	$_PORTAL["title"] = "Saved [" . $topic . "]";

	include($_SITE["mirrordir"] . "edit.inc");
	/* save the changes, then ... */
	if (saveWikiTopic($topic, $web, $body_text, $summary)) {
		/* ... view the newly-saved page */
		printWikiTopic($topic, $web);
		include($_SITE["mirrordir"] . "ViewFooter.ihtml");
		} else {
		/* the error has already been handled */
		}
	}
else if (isset($preview)) {
	$_PORTAL["title"] = "Previewing [" . $topic . "]";

	include($_SITE["mirrordir"] . "edit.inc");
	/* preview the changes */
	include($_SITE["portaldir"] . "StaticHeader.ihtml");
	include($_SITE["mirrordir"] . "PreviewHeader.ihtml" );
	print( renderWikiText( stripslashes($body_text), $topic, $web ) );
	include($_SITE["mirrordir"] . "PreviewFooter.ihtml" );

	/* allow more editing */
	include($_SITE["mirrordir"] . "EditBody.ihtml" );
	include($_SITE["portaldir"] . "StaticFooter.ihtml");
	}
else {
	$_PORTAL["title"] = "Editing [" . $topic . "]";

	include($_SITE["portaldir"] . "StaticHeader.ihtml");
	include($_SITE["mirrordir"] . "EditBody.ihtml" );
	include($_SITE["portaldir"] . "StaticFooter.ihtml");
	}

/* footers */
require($_SITE["portaldir"] . "CommonFooter.ihtml");
?>
